/* Automatically generated by './build/bin/build-entry.js' */

import Button from '../packages/button/index.js';
import Rect from '../packages/rect/index.js';
import List from '../packages/list/index.js';
import ListItem from '../packages/list-item/index.js';
import Card from '../packages/card/index.js';
import TextNum from '../packages/text-num/index.js';
import TabsEl from '../packages/tabs-el/index.js';
import Table from '../packages/table/index.js';
import Row from '../packages/row/index.js';
import RowContainer from '../packages/row-container/index.js';
import Container from '../packages/container/index.js';
import Loading from '../packages/loading/index.js';
import InfiniteScroll from '../packages/infinite-scroll/index.js';
import locale from 'coc-ui/src/locale';
import CollapseTransition from 'coc-ui/src/transitions/collapse-transition';

const components = [
  Button,
  Rect,
  List,
  ListItem,
  Card,
  TextNum,
  TabsEl,
  Table,
  Row,
  RowContainer,
  Container,
  CollapseTransition
];

const install = function(Vue, opts = {}) {
  locale.use(opts.locale);
  locale.i18n(opts.i18n);

  components.forEach(component => {
    Vue.component(component.name, component);
  });

  Vue.use(InfiniteScroll);
  Vue.use(Loading.directive);

  Vue.prototype.$ELEMENT = {
    size: opts.size || '',
    zIndex: opts.zIndex || 2000
  };

  Vue.prototype.$loading = Loading.service;
  /* Vue.prototype.$msgbox = MessageBox;
  Vue.prototype.$alert = MessageBox.alert;
  Vue.prototype.$confirm = MessageBox.confirm;
  Vue.prototype.$prompt = MessageBox.prompt;
  Vue.prototype.$notify = Notification;
  Vue.prototype.$message = Message; */

};

/* istanbul ignore if */
if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue);
}

export default {
  version: '0.0.15',
  locale: locale.use,
  i18n: locale.i18n,
  install,
  CollapseTransition,
  Loading,
  Button,
  Rect,
  List,
  ListItem,
  Card,
  TextNum,
  TabsEl,
  Table,
  Row,
  RowContainer,
  Container,
  InfiniteScroll
};
